CARGO-YANK(1)

NAME
cargo-yank - Remove a pushed crate from the index

SYNOPSIS

cargo yank [OPTIONS] --vers VERSION [CRATE]

DESCRIPTION

The yank command removes a previously published crate’s version from the server’s index. This command does not delete any data, and the crate will still be available for download via the registry’s download link.

Note that existing crates locked to a yanked version will still be able to download the yanked version to use it. Cargo will, however, not allow any new crates to be locked to any yanked version.

This command requires you to be authenticated with either the --token option or using cargo-login(1).

If the crate name is not specified, it will use the package name from the current directory.

OPTIONS

  Owner Options

--vers VERSION
    The version to yank or un-yank.

--undo
    Undo a yank, putting a version back into the index.

--token TOKEN
    API token to use when authenticating.

--index INDEX
    The URL of the registry index to use.

--registry REGISTRY
    Alternative registry to use.

    This option is unstable and available only on the nightly channel and requires the -Z unstable-options flag to enable.

  Display Options

-v, --verbose
    Use verbose output. May be specified twice for "very verbose" output which includes extra output such as dependency warnings and build script output. May also be specified with the term.verbose

-q, --quiet
    No output printed to stdout.

--color WHEN
    Control when colored output is used. Valid values:

        • auto (default): Automatically detect if color support is available on the terminal.

        • always: Always display colors.

        • never: Never display colors.

    May also be specified with the term.color

  Common Options

-h, --help
    Prints help information.

-Z FLAG...
    Unstable (nightly-only) flags to Cargo. Run cargo -Z help for details.

ENVIRONMENT

See for details on environment variables that Cargo reads.

EXIT STATUS

0
    Cargo succeeded.

101
    Cargo failed to complete.

EXAMPLES

    1. Yank a crate from the index:

        cargo yank --vers 1.0.7 foo

SEE ALSO

cargo(1), cargo-login(1), cargo-publish(1)